/*  Promile Qt - calculates amount of alcohol in your body
  *  Copyright (C) 2008  Marcin Dombrowski
  *
  *  This program is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation, either version 3 of the License, or
  *  (at your option) any later version.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "ui_promile-qt.h"
#include <QMessageBox>
#include <QDialog>
#include <QTextCodec>
#include <QFontDialog>
extern void dodaj_napoj(int ilosc, float godzina, float stezenie, float cz_wchl,int dl_wchl);
extern void kasuj_napoje();
using namespace Ui;

class Form1: public QDialog
{
Q_OBJECT

public:
   Form ui;
   Form1(QWidget * parent = 0, Qt::WFlags f = 0 );
   ~Form1(){};
   void glowna(char plec,float masa, int co_ile_minut,float ing);
   void dodaj_napoj(int ilosc, float godzina, float stezenie, float cz_wchl, int dl_pic);
   void rysuj_wykres();
   void bmi_info(float waga);
   void wyswietl_tytul_tabeli();

 public slots:
   void zmiana_kraju();
   void zmiana_dop_stez();
   void dodaj();
   void oblicz();
   void kasuj();
   void czcionka_wynikow();
   void czcionka_programu();
};
